Bug 181441 - after update, wifi card fails( wifi0: invalid skb->cb magic )
after update, wifi card fails( wifi0: invalid skb->cb magic )
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-14 00:20 EST by dan ginsberg
Modified: 2008-03-09 01:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 00:40:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dan ginsberg 2006-02-14 00:20:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
after a yum update, wifi driver no longer works.  booting to older kernels doesnt help.  

packages updated:
Feb 13 19:16:32 Updated: cups-libs.i386 1:1.1.23-15.4
Feb 13 19:16:33 Updated: gnutls.i386 1.0.25-2.FC4
Feb 13 19:16:33 Updated: audit-libs.i386 1.0.14-1.fc4
Feb 13 19:16:33 Updated: poppler.i386 0.4.5-1.1
Feb 13 19:16:34 Updated: module-init-tools.i386 3.2-0.pre9.0.FC4.1
Feb 13 19:16:43 Updated: cups.i386 1:1.1.23-15.4
Feb 13 19:16:44 Updated: audit.i386 1.0.14-1.fc4
Feb 13 19:16:44 Updated: firmware-addon-dell.noarch 1.0.18-1.rhel4
Feb 13 19:16:45 Updated: cpuspeed.i386 1:1.2.1-1.24_FC4
Feb 13 19:16:49 Updated: revelation.i386 0.4.7-1.fc4
Feb 13 19:16:50 Updated: unzip.i386 5.51-13.fc4
Feb 13 19:17:10 Installed: kernel.i686 2.6.15-1.1831_FC4
Feb 13 19:17:11 Updated: man.i386 1.5p-6.fc4

----

from dmesg:

pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0
hostap_cs: setting Vcc=33 (constant)
hostap_cs: CS_EVENT_CARD_INSERTION
hostap_cs: setting Vcc=50 (from config)
Checking CFTABLE_ENTRY 0x01 (default 0x01)
IO window settings: cfg->io.nwin=1 dflt.io.nwin=1
io->flags = 0x0046, io.base=0x0000, len=64
hostap_cs: Registered netdevice wifi0
hostap_cs: index 0x01: Vcc 5.0, irq 3, io 0xd100-0xd13f
prism2_hw_init: initialized in 196 ms
wifi0: NIC: id=0x800c v1.0.0
wifi0: PRI: id=0x15 v1.0.7
wifi0: STA: id=0x1f v1.3.6
wifi0: defaulting to host-based encryption as a workaround for firmware bug in Host AP mode WEP
wifi0: defaulting to bogus WDS frame as a workaround for firmware bug in Host AP mode WDS
wifi0: registered netdevice wlan0
orinoco 0.15rc3 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin <proski@gnu.org>, et al)
orinoco_cs 0.15rc3 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin <proski@gnu.org>, et al)
pcmcia: registering new device pcmcia0.1
hostap_cs: setting Vcc=33 (constant)
hostap_cs: CS_EVENT_CARD_INSERTION
hostap_cs: setting Vcc=2 (from config)
Checking CFTABLE_ENTRY 0x01 (default 0x01)
  Vcc mismatch - skipping this entry
0.1: GetNextTuple: No more items
prism2_config() failed
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)
wifi0: invalid skb->cb magic (0x00000000, expected 0xf08a36a2)


----

note, this card used to come up fine as eth1.  the system didn't start seeing it as wifi0 until after the yum update.


iwconfig seems to see things right, but dhclient fails:

wifi0     IEEE 802.11b  ESSID:"Hibernal"  Nickname:"localhost.localdomain"
          Mode:Master  Frequency:2.422 GHz  Access Point: 00:09:5B:3A:60:54
          Bit Rate:11 Mb/s   Sensitivity=1/3
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Encryption key:<redacted>   Security mode:restricted
          Power Management:off

when you call dhclient it says right off:

wifi0: unknown hardware address type 801


HAL sees the card as Netgear MA401RA
 on /dev/eth1

both the move to wifi0 and the regression in performance really hurt

Version-Release number of selected component (if applicable):
module-init-tools.i386 3.2-0.pre9.0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1.boot box to any kernel
2. load wifi card


  

Actual Results:  errors per above and dhclient fails

Expected Results:  expect to see card up in ifconfig and iwconfig and expect dhclient to give me an address 

Additional info:
Comment 1 Harald Hoyer 2006-02-14 02:22:26 EST
Are you sure, this is module-init-tools?? Can you downgrade it with the original
FC4 module-init-tools?
Comment 2 dan ginsberg 2006-02-15 19:15:49 EST
Well, everything worked before i did the yum update and rebooted and afterwards
I was broken on all kernels.  granted, the skb errors look like kernel, but I'm
dead in the water with older kernels too, and the delta from eth1 to wifi0 looks
module-initie to me.  But, yeah, I'm guessing.

I can try to roll back to an earlier module init tools, but it will take me a
while to get at that particular laptop.
Comment 3 gpprobst 2006-03-18 15:47:56 EST
I had a similar problem.  After update with yum, my wireless card quit working
and after I rolled back to the previous version of module-init-tools and
everything is back to normal.  I can do a specific yum update module-init-tools
and it will fail and the rollback and everything works fine.  Whatever happens
to cause my wireless card to fail is related to installing this update.

Linux 2.6.15-1.1831_FC4 #1 Tue Feb 7 13:37:42 EST 2006 i686 i686 i386 GNU/Linux
RPM that works:  Md5 c2c2e3169e0b710b2329594daea6ca2b 
module-init-tools-3.1-3.i386.rpm
Wireless card: Lucent/Orinoco Gold

I do not have the output from dmesg any longer.  I realize that my submission
doesn't have a great deal of substance, but figured it was worth mentioning
since I run updates with exclusion of this package.   

When I get around to it in the next day or so, I can capture the dmesg output
after performing the update again.  Its really easy for me to reproduce this
problem with my card.  Is there anything else you want me to look or capture
when reapplying the update for the dmesg info?

Thanks,
Greg
Comment 5 Øyvind Stegard 2006-05-12 05:48:45 EDT
My ipw2200 wireless driver stopped working with the 3.2.2 update of 
module-init-tools (or atleast not working as expected). The eth1 device is no 
longer found.  Downgrading to module-init-tools-3.2-0.pre9.0.FC4.4 solved the 
problem for me. Also, when "Initializing hardware .." is running during boot, 
the "storage" phase takes much longer than normal with 3.2.2. 

I'm using a vanilla 2.6.16.16 kernel with ipw2200 v1.1.2 compiled as module 
from ipw2200.sf.net. 
Comment 6 gpprobst 2006-05-22 21:32:13 EDT
I tried the new rpm as suggested in comment 4 and had similar results, so I had
to back out that rpm with the previous one.

Here is a snippet from my dmesg output:

hostap_cs: 0.4.4-kernel (Jouni Malinen <jkmaline@cc.hut.fi>)
hostap_cs: setting Vcc=33 (constant)
hostap_cs: CS_EVENT_CARD_INSERTION
hostap_cs: setting Vcc=50 (from config)
Checking CFTABLE_ENTRY 0x01 (default 0x01)
IO window settings: cfg->io.nwin=1 dflt.io.nwin=1
io->flags = 0x0046, io.base=0x0000, len=64
hostap_cs: Registered netdevice wifi0
hostap_cs: index 0x01: Vcc 5.0, irq 10, io 0x3100-0x313f
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x800-0x8ff: excluding 0x800-0x80f
cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0xa00-0xaff: clean.
prism2_hw_init: initialized in 44 ms
wifi0: NIC: id=0x01 v5.0.4
wifi0: PRI: id=0x15 v4.4.1
wifi0: STA: id=0x1f v8.72.1
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc33, len=2)
wifi0: Beacon interval setting to 100 failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc10, len=2)
wifi0: DTIM period setting to 1 failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fcb4, len=2)
wifi0: cnfSupportedRates setting to 15 failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fcb3, len=2)
wifi0: cnfBasicRates setting to 3 failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc2d, len=2)
wifi0: could not set host roaming
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc43, len=2)
wifi0: cnfEnhSecurity setting to 0x0 failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc42, len=2)
wifi0: cnfThirty2Tally setting failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc2a, len=2)
wifi0: cnfAuthentication setting to 0x3 failed
wifi0: CMD=0x0121 => res=0x7f, resp0=0x0004
wifi0: hfa384x_set_rid: CMDCODE_ACCESS_WRITE failed (res=127, rid=fc82, len=2)
wifi0: setting FragmentationThreshold to 2346 failed
wifi0: registered netdevice wlan0
orinoco 0.15rc3 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
orinoco_cs 0.15rc3 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin
<proski@gnu.org>, et al)
pcmcia: registering new device pcmcia0.1
hostap_cs: setting Vcc=33 (constant)
hostap_cs: CS_EVENT_CARD_INSERTION
hostap_cs: setting Vcc=2 (from config)
Checking CFTABLE_ENTRY 0x01 (default 0x01)
IO window settings: cfg->io.nwin=1 dflt.io.nwin=1
io->flags = 0x0046, io.base=0x0000, len=64
CardServices(RequestIO) returned 29
0.1: RequestIO: Configuration locked
0.1: GetNextTuple: No more items
prism2_config() failed

Other particulars:

Linux 2.6.15-1.1831_FC4 #1 Tue Feb 7 13:37:42 EST 2006 i686 i686 i386 GNU/Linux

Please let me know if there is anything else you want me to try or if you need
more info.
Comment 7 Christian Iseli 2007-01-19 19:37:22 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 8 petrosyan 2008-03-09 00:40:04 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 9 dan ginsberg 2008-03-09 01:54:41 EST
Just a hint:  If y'all actually worked the damn bugs when they were reported
instead of letting them rot, then you might actually be able to catch and fix
the bug.

Note You need to log in before you can comment on or make changes to this bug.